Subject: RE: [dhcwg] Leasequery: should it be standardized?
From: "Bernie Volz (EUD)" <[email-masked]>
To: "'Mark Stapp'" <[email-masked]>, Steve Gonczi <[email-masked]>
Cc: [email-masked]
Date: Thu, 27 Feb 2003 16:11:07 -0600
List-Id: <dhcwg.ietf.org>

I agree ... we don't want to restart this process. There's a lot of good
reasons why DHCP should be used - it is after all DHCP information. The
existing framework is fine regardless of whether the devices and
applications already knew dhcp.

- Bernie

-----Original Message-----
From: Mark Stapp [mailto:[email-masked]]
Sent: Thursday, February 27, 2003 4:41 PM
To: Steve Gonczi
Cc: [email-masked]
Subject: RE: [dhcwg] Leasequery: should it be standardized?

I don't have much interest in a new, tcp-based, general-purpose query 
protocol. There was interest in a way for dhcp speakers to ask some 
questions, and that's what leasequery offers, and it's been implemented and 
deployed by several vendors. The point was that the questions be askable by 
devices and applications that already knew dhcp.

-- Mark

At 04:16 PM 2/27/2003 -0500, Steve Gonczi wrote:
>Greetings,
>
>You guys are clearly on to something here.
>
>I have just re-read the 04 draft. It proposes a solution to a rather
>specific problem. It would indeed make sense to generalize it into
>a more broadly applicable query protocol.
>
>Let's try bit more radical tack:
>
>It would be useful to add a list-query capability, so that the
>protocol could return lists of addresses, based on a flexible set of
>search criteria.
>E.g.: all assigned IP-s on subnet x. Also, the query could enumerate the
>pieces of information e desired.(e.g. expiration time, client id...
>whatever)
>
>The currently specified 04 draft would be a functional subset of the
>general purpose protocol.
>
>BTW.. I am surprised to see that the messaging formats is
>very much inspired by the DHCP/BOOTP message structure.
>
>Since this would be a brand new protocol, I fail to see the need to
>carry this baggage. Err.. why do we need to have the bootp header in
>the messages?
>
>I respectfully propose to lay out the protocol messages
>in a compact manner, fitted to the need of the
>query protocol itself.
>
>For all intensive purposes, the protocol could even be TCP based,
>similar to the failover protocol.
>
>If there is sufficient interest, I will be glad to provide some
>examples of "general purpose" query and response formats.
>
>/sG
>
>
>
>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]]On Behalf Of
>Mark Stapp
>Sent: Wednesday, February 26, 2003 5:38 PM
>To: Thomas Narten
>Cc: Bernie Volz (EUD); 'Kevin A. Noll'; Kim Kinnear; [email-masked];
>Ralph Droms
>Subject: RE: [dhcwg] Leasequery: should it be standardized?
>
>
> > I agree with Bernie and Kevin. I particularly liked the 'data-centric'
> > words in Kevin's post. DHCP servers tend to know information about DHCP
> > clients and IP addresses, they're the sole authority for that information,
> > and that information may be useful to other applications or entities on
>the
> > network....
>
>.....rest of the discussion clipped......
>
>_______________________________________________
>dhcwg mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/dhcwg

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg